Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Big Sur Support?
analogika
post Feb 19 2021, 09:55 PM
Post #1


Newbie
*

Group: Members
Posts: 3
Joined: 30-November 13
Member No.: 14,122



Hello…is this thing on?

I gather that the effort on supporting Apple Silicon is…not too enthusiastic.

What's the divvy on Big Sur on Intel, though?

It's been four months since the release of macOS 11.

Will I be able to use/reinstall Magnetic II once I upgrade?

Anybody in the know? Official support?

Any experience?
Go to the top of the page
 
+Quote Post
Ashley Smith
post Feb 22 2021, 05:05 PM
Post #2


Advanced Member
***

Group: Members
Posts: 239
Joined: 3-December 15
From: Notinghamshire - UK
Member No.: 19,223



At this time Nomad Factory does not support Catalina, nor Big Sur (or M1 chips on new Mac computers), and advise users to not upgrade should they use plug-ins in sessions but stick with Mojave as the latest compatible and support OS for our plug-ins if possible. Demo versions are available prior to purchase and the website/download page shows support for up-to macOS 10.14.x.

Newer plug-ins that have an "activation code" can be authorized without issue from the plug-in GUI. For installation, simply ok the installer to run from System Preferences > Security & Privacy and proceed to auth in the plug-in having inserted on an audio track in the DAW.

We're working towards porting all older serial-based plug-ins to a new framework, refactoring code and reskinning GUI, optimizing and supporting macOS Catalina and Big Sur through Apple's notarization requirements. Given the extensive catalogue however, this will take some time with a small development team.

A workaround method to authorize older serial products, as the Software Activator which is a 32-bit application, is available. The plug-ins do work "in Catalina and lower", it's just the activation app that does not run as it's 32-bit. So...

Please try authorizing on another system with older OS using the same internet connection to get the license file and then transferring to your machine by placing in /Library/Application Support/Nomad Factory/Licenses. This works and you may try a virtual machine to do so instead if tied to an OS by the computer you have...

Here's a video example on how to create a virtual machine in which you may then run the outdated Activator to generate your license (noting you need a Windows or Mac installer image to create the virtual machine OS) - https://www.youtube.com/watch?v=bQVAT5SntKk

Once done you will need to reboot your computer, launch DAW and rescan plug-ins (where available option).

If you still have issue, please CONTACT SUPPORT, let us know with your MAC Address and we'll generate license for you. You can find that in System Preferences > Network > Advanced > Hardware.

Note: You may view all your license, serial and activation codes at any time via the manufacturer/company help sites below. Simply, login (or re-register to sync account and orders) with your purchase e-mail address, and select the "Licenses" tab.

help.nomadfactory.com
help.dontcrack.com
help.plugandmix.com
help.ircamlab.com
help.plugins.bbesound.com
help.zendaw.com


--------------------
Plugivery
Ashley Smith
QA | Creative Development | Product Specialist
Website

For all support queries, please contact us :
DontCrack Support
Nomad Factory Support
Plug and Mix Support
ircamLAB Support
BBE Plugins Support
Go to the top of the page
 
+Quote Post
ideaph
post Aug 14 2021, 09:34 PM
Post #3


Newbie
*

Group: Members
Posts: 1
Joined: 13-November 15
Member No.: 19,043



Any update on this? I just got a new M1 iMac, and surprise! My Nomad plugins no longer work.

QUOTE (Ashley Smith @ Feb 22 2021, 09:05 AM) *
At this time Nomad Factory does not support Catalina, nor Big Sur (or M1 chips on new Mac computers),

Go to the top of the page
 
+Quote Post
Ashley Smith
post Sep 3 2021, 02:28 PM
Post #4


Advanced Member
***

Group: Members
Posts: 239
Joined: 3-December 15
From: Notinghamshire - UK
Member No.: 19,223



QUOTE (ideaph @ Aug 14 2021, 09:34 PM) *
Any update on this? I just got a new M1 iMac, and surprise! My Nomad plugins no longer work.

No further updates at this time, sorry!
We do not support M1 chips natively, only Intel. You try running your DAW(s) under Rosetta 2 for unqualified support - https://support.apple.com/en-gb/HT211861

Ensure you also have the latest version(s) of plug-ins installed. If you are running a DAW and using the AU plug-in format you will need to restart the computer after install to validate, then rescan plug-ins in the DAW.
Thanks!


--------------------
Plugivery
Ashley Smith
QA | Creative Development | Product Specialist
Website

For all support queries, please contact us :
DontCrack Support
Nomad Factory Support
Plug and Mix Support
ircamLAB Support
BBE Plugins Support
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 

Lo-Fi Version Time is now: 20th September 2021 - 04:05 PM